﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media.Media3D;
using RobotBehaviourEditor.MotionEditor.Visualisation;
using RobotBehaviourEditor.Model.Physics;

namespace RobotBehaviourEditor.Model.Physics
{
    static class CenterOfMass
    {
        static Body body = new Body();

        public static Point3D Compute(Robot3D robot, Gyroscope gyroscope)
        {
            body.SetJointAngles(robot);
            body.ComputeLocations(gyroscope);
            return body.CenterOfMass;
        }
    }
}
