﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RobotBehaviourEditor.MotionEditor
{
    public partial class MotionPropertiesForm : Form
    {
        public MotionPropertiesForm()
        {
            InitializeComponent();
        }

        private string motionName;
        public string MotionName
        {
            get { return motionName; }
            set { motionName = value; }
        }

        private string motionDescription;
        public string MotionDescription
        {
            get { return motionDescription; }
            set { motionDescription = value; }
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            MotionName = nameText.Text;
            MotionDescription = descriptionText.Text;
            this.Close();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void ActionPropertiesForm_Load(object sender, EventArgs e)
        {
            nameText.Text = MotionName;
            descriptionText.Text = MotionDescription;
        }
    }
}
