﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RobotBehaviourEditor.MotionEditor
{
    public class RunSettings
    {
        private double speed = 1;
        public double Speed
        {
            get { return speed; }
            set { speed = value; }
        }

        private int stateDelay = 0;
        public int StateDelay
        {
            get { return stateDelay; }
            set { stateDelay = value; }
        }

        private int startDelay = 0;
        public int StartDelay
        {
            get { return startDelay; }
            set { startDelay = value; }
        }

        public RunSettings()
        {
        }

        public RunSettings(double speed, int stateDelay)
        {
            this.speed = speed;
            this.stateDelay = stateDelay;
        }
    }
}
