﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RobotBehaviourEditor.Library
{
    public class MotionAction : IAction
    {
        private string motionFileName;

        public string MotionFileName
        {
            get { return motionFileName; }
            private set { motionFileName = value; }
        }

        private Form mdiParent;

        public Form MdiParent
        {
            get { return mdiParent; }
            set { mdiParent = value; }
        }

        public MotionAction(string motionFileName, Form mdiParent)
        {
            this.motionFileName = motionFileName;
            this.mdiParent = mdiParent;
        }

        #region IAction Members

        public void DoAction()
        {
            MotionEditor.MotionEditorForm.OpenMotion(motionFileName, mdiParent);
        }

        #endregion
    }
}
