﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using RobotBehaviourEditor.ServerMessageAnalyzer;

namespace RobotBehaviourEditor.Library
{
    public class ServerMessageAction : IAction
    {
        private string fileName;

        public string FileName
        {
            get { return fileName; }
            private set { fileName = value; }
        }

        private Form mdiParent;

        public Form MdiParent
        {
            get { return mdiParent; }
            set { mdiParent = value; }
        }

        public ServerMessageAction(string fileName, Form mdiParent)
        {
            this.fileName = fileName;
            this.mdiParent = mdiParent;
        }

        #region IAction Members

        public void DoAction()
        {
            VisualisationForm.OpenServerMessageFile(fileName, mdiParent);
        }

        #endregion
    }
}
