﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RobotBehaviourEditor.Model
{
    public class JointCondition
    {
        public JointCondition(JointTypes joint, double positionFrom, double positionTo)
        {
            this.joint = joint;
            this.positionFrom = positionFrom;
            this.positionTo = positionTo;
        }

        JointTypes joint;
        public JointTypes Joint
        {
            get { return joint; }
            set { joint = value; }
        }

        double positionFrom;
        public double PositionFrom
        {
            get { return positionFrom; }
            set { positionFrom = value; }
        }

        double positionTo;
        public double PositionTo
        {
            get { return positionTo; }
            set { positionTo = value; }
        }

        public override string ToString()
        {
            return Joints.GetJointByType(this.Joint).Name + ": " + this.PositionFrom + "° - " + this.PositionTo + "°";
        }
    }
}
