﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace RobotBehaviourEditor.Model
{
    public class JointItem
    {
        public JointItem()
        {
        }

        public JointItem(JointTypes type, string id, string name, int minValue, int maxValue, Color color)
        {
            this.type = type;
            this.id = id;
            this.name = name;
            this.minValue = minValue;
            this.maxValue = maxValue;
            this.color = color;
        }

        private string id;
        public string Id
        {
            get { return id; }
            private set { id = value; }
        }

        private JointTypes type;
        public JointTypes Type
        {
            get { return type; }
            private set { type = value; }
        }

        private string name;
        public string Name
        {
            get { return name; }
            private set { name = value; }
        }

        private int minValue;
        public int MinValue
        {
            get { return minValue; }
            private set { minValue = value; }
        }

        private int maxValue;
        public int MaxValue
        {
            get { return maxValue; }
            private set { maxValue = value; }
        }

        private Color color;
        public Color Color
        {
            get { return color; }
            private set { color = value; }
        }

        public override string ToString()
        {
            return name + " (" + minValue + "°; " + maxValue + "°)";
        }
    }
}
