﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RobotBehaviourEditor.MotionEditor.Visualisation
{
    public class Robot3DStep
    {
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private int duration;
        public int Duration
        {
            get { return duration; }
            set { duration = value; }
        }

        private Robot3DState state;
        public Robot3DState State
        {
            get { return state; }
            set { state = value; }
        }

        public Robot3DStep(string name, int duration, Robot3DState state)
        {
            this.name = name;
            this.duration = duration;
            this.state = state;
        }

        public override string ToString()
        {
            return this.name + " (" + this.duration + " ms)";
        }
    }
}
