﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace RobotBehaviourEditor.Utils
{
    public static class GraphicsUtils
    {

        public static void DrawHighlighting(Graphics g, Rectangle bounds)
        {
            g.FillRectangle(new LinearGradientBrush(bounds, SystemColors.Highlight, SystemColors.Highlight, LinearGradientMode.Vertical),
                bounds);
            Rectangle glossRect = new Rectangle(bounds.Left, bounds.Top, bounds.Width, bounds.Height / 2);
            g.FillRectangle(new LinearGradientBrush(glossRect, Color.FromArgb(180, Color.White),
                Color.FromArgb(40, Color.White), LinearGradientMode.Vertical),
                glossRect);

            g.DrawRectangle(Pens.Black, bounds);            
        }
    }
}
